Get Crypto-to-Fiat Quote
curl --request GET \
--url https://api.dev.monei.cc/api/v1/offramp/exchange/quote \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dev.monei.cc/api/v1/offramp/exchange/quote"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dev.monei.cc/api/v1/offramp/exchange/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "USDT",
"amount": 123,
"network": "base",
"fiat": "NGN",
"rate": 123
}Offramp | Exchange
Get Crypto-to-Fiat Quote
Real-time exchange rate calculation for a specific token and network.
GET
/
api
/
v1
/
offramp
/
exchange
/
quote
Get Crypto-to-Fiat Quote
Authorizations
Query Parameters
The cryptocurrency token to swap
Available options:
USDT, USDC, CNGN Example:
"USDT"
The blockchain network the token is on
Available options:
base, polygon, arbitrum-one, bnb-smart-chain, ethereum, starknet, optimism, lisk, scroll Example:
"base"
Amount of crypto to exchange
Example:
100
Target fiat currency for payout
Available options:
NGN, GHS, KES, USD Response
200 - application/json
Available options:
USDT, USDC, CNGN Available options:
base, polygon, arbitrum-one, bnb-smart-chain, ethereum, starknet, optimism, lisk, scroll Available options:
NGN, GHS, KES, USD 
